function f = fitObjectiveAnisotropic(x,measurement,range,aniso)

    L = 48;
    w = 10;
    h = 10;
    
    G12 = x(1);
    G13 = x(1)/aniso^2;
    K12 = x(2);
    K13 = x(2)/aniso^2;
    n = x(3);
    
    f = 0;
    for i = 1:numel(measurement)
        modelResponse(i) = modelTorsion_NLVE_aniso(measurement(i),L,w,h,G12,G13,K12,K13,n,aniso);
        selection = measurement(i).angle>=range(1) & measurement(i).angle<=range(2);
        f = f + sum((measurement(i).torque(selection)-modelResponse(i).torque(selection)).^2);
    end

end