function f = fitObjectiveIsotropic(x,measurement,range)

    L = 48;
    w = 10;
    h = 10;
    
    G = x(1);
    K = x(2);
    n = x(3);
    
    f = 0;
    for i = 1:numel(measurement)
        modelResponse(i) = modelTorsion_NLVE(measurement(i),L,w,h,G,K,n);
        selection = measurement(i).angle>=range(1) & measurement(i).angle<=range(2);
        f = f + sum((measurement(i).torque(selection)-modelResponse(i).torque(selection)).^2);
    end

end