function str = strLatexify(str)
    str = replace(str,'°','$$^{\circ}$$');
    str = replace(str,'\cdot','$$\cdot$$');
    str = replace(str,'s^n','s$$^n$$');
    str = replace(str,'s^{n-1}','s$$^{n-1}$$');
    str = replace(str,'eta0','$$\eta_0$$');
    str = replace(str,'etainf','$$\eta_\infty$$');
    str = replace(str,'T_0','T$$_0$$');
    str = replace(str,'T0','T$$_0$$');
    str = replace(str,'alpha','$$\alpha$$');
    str = replace(str,'lambda','$$\lambda$$');
    str = replace(str,'\eta_T','$$\eta_T$$');
    str = replace(str,'\eta_L','$$\eta_L$$');
end